loci.plugins.in

## Class ImporterPrompter

- java.lang.Object
- - loci.plugins.in.ImporterPrompter

- All Implemented Interfaces:
    java.util.EventListener, loci.common.StatusListener

      public class ImporterPrompter
      extends java.lang.Object
      implements loci.common.StatusListener

  Helper class for presenting the user with dialog boxes for configuring importer options. If running as a macro, gets parameter values from macro options; if not, get parameter values from user input from dialog boxes. Which dialogs are shown depends on a variety of factors, including the current configuration (i.e., which options are enabled), whether quiet or windowless mode is set, and whether the method is being called from within a macro.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ImportProcess` | `process`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImporterPrompter(ImportProcess process)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private boolean` | `promptColors()` Prompts for color details, if necessary.
    `private boolean` | `promptCrop()` Prompts for cropping details, if necessary.
    `private boolean` | `promptFilePattern()` Prompts for the file pattern, if necessary.
    `private boolean` | `promptId()`
    `private boolean` | `promptLocation()`
    `private boolean` | `promptMain()`
    `private boolean` | `promptMemory()` Prompts for confirmation of memory usage, if necessary.
    `private boolean` | `promptRange()` Prompts for the range of planes to import, if necessary.
    `private boolean` | `promptSeries()` Prompts for which series to import, if necessary.
    `private boolean` | `promptSwap()` Prompts for dimension swapping parameters, if necessary.
    `private boolean` | `promptUpgrade()`
    `void` | `statusUpdated(loci.common.StatusEvent e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### process

          private ImportProcess process

  - ### Constructor Detail

    - #### ImporterPrompter

          public ImporterPrompter(ImportProcess process)

  - ### Method Detail

    - #### statusUpdated

          public void statusUpdated(loci.common.StatusEvent e)

      Specified by:
        `statusUpdated` in interface `loci.common.StatusListener`

    - #### promptUpgrade

          private boolean promptUpgrade()

    - #### promptLocation

          private boolean promptLocation()

    - #### promptId

          private boolean promptId()

    - #### promptMain

          private boolean promptMain()

    - #### promptFilePattern

          private boolean promptFilePattern()

      Prompts for the file pattern, if necessary. May override id value.

    - #### promptSeries

          private boolean promptSeries()

      Prompts for which series to import, if necessary.

    - #### promptSwap

          private boolean promptSwap()

      Prompts for dimension swapping parameters, if necessary.

    - #### promptRange

          private boolean promptRange()

      Prompts for the range of planes to import, if necessary.

    - #### promptCrop

          private boolean promptCrop()

      Prompts for cropping details, if necessary.

    - #### promptColors

          private boolean promptColors()

      Prompts for color details, if necessary.

    - #### promptMemory

          private boolean promptMemory()

      Prompts for confirmation of memory usage, if necessary.

Copyright © 2026 Open Microscopy Environment